Subject: Re: bug#34992: 26.1; message-send-mail-with-mailclient mangles MIME messages

From: David Bremner <[email-masked]>
Date: Sat, 22 Jun 2019 09:42:21 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> David Bremner <[email-masked]> writes:
>
>>> No, Emacs copies the message text into the system clipboard and tells
>>> the user to paste it from there into the mail client.
>>
>> I think that's only the default on Windows. On my machines [1] it just
>> silently sends.
>
> I don't think that's the default on any systems -- the first time you
> send an email, Emacs will query the user, and the sensible choice for
> most people would be to specify an SMTP client.  That's not possible on
> all systems, though, to -with-mailclient is also an option...  but it's
> a very poor option indeed.
>
> But I'm unable to reproduce the reported bug: Message creates a
> multipart message, and the first part of that message is usually a
> text/plain one.  The body looks correct to me.  However, I doubt there's
> any way to convey to the "system mailer" what you're trying to send a
> multipart message in any reliable way.
>
> So it would perhaps make sense to tell the user that you can't send
> attachments via -with-mailclient if you try to do that?

Sorry for the long delay in replying. Indeed, signalling an error to the
user makes sense to me in this case.

d